v211001 (2021 Oct. 01); Running free.

Wardrobe:

[*]Added a hatless variant of the patch made by Karmageddon. Using it will remove the female player character's hat.
	[*]If you use the patch, be sure to apply it last.

Extras:

[*]Base game bugfix: If a roaming Entei or Raikou use Roar to end battle, they will no longer disappear from the game.

Documentation:

[*]Added info about Bill's Teleporter and Altering Cave to the Catch 'em All doc.

******************************************************************************************
v210801 (2021 Aug. 01); Better fixes.

NOTE: If you still have any ???????? items in your inventory, please use the updated Save Compatibility patch.
NOTE 2: Because the hack as a whole hasn't been changed, the main patch is still version 210717.

Catch 'em All:

[*]Fixed starter variable not getting changed correctly, causing incorrect battle in the post-game.
	[*]THIS ONLY APPLIES TO THE SEPARATE CATCH 'EM ALL PATCH. People using the full patch weren't affected by this issue.

Save Compatibility:

[*]GB Sounds removal process adjusted for people who had multiple copies of the old GB Sounds item.
	[*]The check for adding the new GB Sounds item has also been adjusted to only give it to you if you don't already have it.
	
******************************************************************************************
v210717 (2021 July 17); The fix is in.

WARNING: YOU MUST APPLY THE SAVE COMPATIBILITY PATCH AND SPEAK TO THE ATTENDANT ON THE 2ND FLOOR OF ANY POKEMON CENTER.

GB Sounds:

[*]Switched the GB Sounds item ID to replace R/S/E's Acro Bike item instead of creating a new item.
	[*]This allows full compatibility with PKHeX. Previously it would remove the GB Sounds item if you edited and exported the save.

Extras:

[*]Adjusted Trainer sprites for the male and female player characters to give them brown eyes instead of black.
	[*]This change also applies to the Wardrobe portion of the hack.
[*]TM23 can now be obtained again at the Game Corner for 3,500 Coins.

Decapitalization:

[*]Fixed typo in Tyrogue's name.

Documentation:

[*]Removed outdated sentence stating that Celebi can't be obtained in the hack.
	
******************************************************************************************
v210311 (2021 March 11); Investigate 311.

Catch 'em All:

[*]All Kanto Pokemon - wild and Trainers' - have had their levels increased by 10 on the first three Sevii Islands.
	[*]Johto Pokemon available on the first three islands remain at lower levels for training purposes.
	
******************************************************************************************

v200612 (2020 June 12); The price is (not) right.

Extras:

[*]Removed the one-time TM purchase ASM routine. It caused an issue with prices of all items in the game.
	[*]This means you can purchase more than one of each of the TMs at the Department Store, and purchase them multiple times. Please don't do this, it's a waste of money.

******************************************************************************************

v200611 (2020 June 11); Who needs to pay for big-ticket items?

NOTE: It's recommended you use the Save Compatibility patch for this update.

Catch 'em All:

[*]Changed Wobbuffet's replacement Pokémon in Cerulean Cave. 1F has Lv. 55 Rhydon at 4%, 2F has Lv. 58 Chansey at 5%, B1F has Lv. 61 Chansey at 1%.

Extras:

[*]Your rival will now talk down to you if he defeats you in all battles, not just your first two battles with him. Put-downs for all battles are unique.
	[*]Text is taken from the corresponding unused text from the Gen I games.
[*]You now obtain a Premier Ball each time you purchase at least 10 Poké Balls from a vendor. Thanks to Spherical Ice for the ASM code!
[*]Item placements have been refined. Most of these are changd or new, but a few might have been this way already. Items that were once changed but moved elsewhere have been reverted to their original items unless stated otherwise. Please read the "Newly-Added Items.txt" file for full information on each of these:
	[*]A Shell Bell can be obtained at Four Island, just outside of Icefall Cave.
	[*]A Scope Lens can be obtained from an item ball at Silph Co., 10F.
	[*]Lostelle's daddy now gives you a Lucky Egg instead of a Scope Lens (which was in place of a Moon Stone).
	[*]A Dragon Fang can be obtained at Rocket Warehouse.
	[*]A Choice Band can be obtained at Two Island instead of a Red Flute.
	[*]The four flutes that are normally unobtainable in vanilla FireRed can now all be found scattered across the Sevii Islands. They've all changed locations from where they previously were in Throwback.
	[*]The Yellow Flute is now obtained in the Lost Cave. Its slot at the Game Corner has been replaced by a Mental Herb.
	[*]Wild Oddish and Gloom have a 5% chance at holding a White Herb. Wild Bellsprout and Weepinbell have a 5% chance at holding a Mental Herb.
	[*]The Tangela you can trade for at Cinnabar Lab now holds a Bright Powder instead of a Stardust.
	[*]One of each medical herb can be found hidden on the first four of the Sevii Islands.
	[*]The shops where you can buy specific kinds of mail and Poké Balls have been slightly tweaked.
[*]TMs and HMs no longer replenish PP. Thanks to Spherical Ice for this ASM code, as well!
[*]TMs can now be bought at the Celadon Department Store again. They can only be bought once, and their prices have risen considerably. Thanks to Skeli for the assembly routine!
	[*]The TMs for sale are TM10 (Hidden Power), TM15 (Hyper Beam), TM31 (Brick Break), and TM44 (Rest). The cost for each TM is $10000 except for TM15, which is $50000.
	[*]TM23 has returned to the Game Corner.
	[*]TM31 and TM44 at the S.S. Anne have been replaced by a Full Heal and Rare Candy, respectively. Both TMs were permanently missable previously.
	[*]The item vendor next to the TM seller at the Celadon Department Store now sells the same items that he did in vanilla FireRed/LeafGreen.
[*]TM10's place on the Pickup chart is now replaced by an Ultra Ball instead of a Full Restore.
[*]Changed the Silph Co. pamphlet text regarding TMs and HMs.

Save Compatibility:

[*]Redone entirely to remove bloat and conflicting code. It should no longer cause problems with the Celebi event.
	[*]It no longer accomodates for people who last saved their game on Faraway Island from legacy versions of Throwback or tkim's version. If you want to patch the most recent of Throwback, save your game elsewhere before doing so.
[*]Catch 'em All: The game will now add the National Dex if you've beaten the game but don't have it unlocked yet.
[*]Extras: Add all TMs that you've previously collected to your TM Case. This is mainly for people migrating saves over from ROMs that didn't have reusable TMs.

Other:

[*]Cleaned up text insertion and tweaked a couple of extended custom lines of dialogue.

******************************************************************************************

v200530 (2020 May 30); Fixes in times like these.

Full patch:

[*]Fixed Celebi not showing up in Berry Forest after rescuing Lostelle. This issue didn't affect the separate Catch 'em All patch.
[*]Removed learnset changes (by level up and breeding) from both the full patch and Extras patch. They're now available as a separate patch included in the download. This patch is called "Custom Learnset Changes", and is in the "Individual Patches" folder.

Catch 'em All:

[*]Fixed oversight where you could start the Ruby/Sapphire subquest from Celio before rescuing Lostelle. Thanks to Bruno Magno for the report!

Decapitalization:

[*]Fixed various phrases not being decapitalized at the Celadon Mansion/Condominiums.
[*]Extras: Fixed man outside Celadon Condominiums having the words "condos" and "tea" capitalized. This only affects the full patch.
[*]Extras: Fixed Vermilion Gym guide's revised dialogue being capitalized. This only affects the full patch.

Thanks to Courier21 for reporting the above capitalization issues!

[*]Added a slight extra decapitalization, as well as two recapitalizations due to context.

******************************************************************************************

v200110 (2020 Jan. 10); New decade, new fixes.

Catch 'em All:

[*]Fixed wrong text string appearing when obtaining an Ether or Old Amber through Rock Smash. Thanks to Silver Kagato for the report!

Decapitalization:

[*]Fixed the phrase "Berries" being improperly decapitalized when receiving multiple Berries from the Cerulean City news old man in the Extras part of the hack. Thanks to BADGRAPHIX for the report!
[*]Fixed the word "Pokémon" being improperly decapitalized when talking to your rival on Four Island in the Catch 'em All part of the hack. Thanks to BADGRAPHIX for the report!

******************************************************************************************

v191003 (2019 Oct. 03); Caught 'em All!

Catch 'em All:

[*]Celebi can now be obtained at Berry Forest after you've rescued Lostelle. You'll need an open slot in your party for it to join you. It'll be used in an event that I plan to add in the future.
	[*]Celebi holds a Lansat Berry. Combined with all other patches, this means all Berries are now obtainable in Throwback.

******************************************************************************************

v190818 (2019 Aug. 18); Move it back.

Extras:

[*]Fixed an entry in Tentacool's Egg move pool.
[*]Removed TM and Move Tutor compatibility expansion. It caused a bug with Pokédex entries, as well as potentially other issues.

******************************************************************************************

v190815 (2019 Aug. 15); Movin' on up.

Extras:

[*]Modified all Pokémon level-up learnsets. Now they learn every available move they can by level-up in Generations IV and V.
[*]Expanded Egg move pools for all applicable Pokémon. Now they can be bred with every available move for them in Generations IV and V.
[*]Expanded Pokémon compatibility for all TMs to match with Generations IV and V.
[*]Expanded Pokémon compatibility for all applicable Move Tutors to match with Generations IV and V.

******************************************************************************************

v190806 (2019 Aug. 06); Plugging holes.

Catch 'em All:

[*]Fixed Johto Pokémon not appearing at Altering Cave.

******************************************************************************************

v190803 (2019 Aug. 03); Extinguished flames and bugs.

Catch 'em All:

[*]Ponyta at Level 30 can now be caught on Route 17. Magmar at Levels 38 and 40 can now be caught at Pokémon Mansion.

General:

[*]Fixed a regression in main patch that corrupted sprites in the intro and credits.

******************************************************************************************

v190801 (2019 Aug. 01); These titles aren't very amewsing.

WARNING: IF YOU BEAT THE GAME IN A PREVIOUS VERSION OF THROWBACK, YOU MUST APPLY THE SAVE COMPATIBILITY PATCH AND SPEAK TO THE ATTENDANT ON THE 2ND FLOOR OF ANY POKEMON CENTER.

Catch 'em All:

[*]Mew now appears at Mt. Ember at Lv. 50 where Moltres would appear. It won't attack unless you have a Mewtwo in your party.
	[*]Mew holds a Starf Berry, which is otherwise unobtainable in FireRed/LeafGreen. However, unless you use a Master Ball on it or get very lucky at higher health, Mew will use it to boost one of its stats if its HP gets low. Use Thief if you want to guarantee you get the Berry.
	[*]If you catch Mew, it will be fully obedient and will be able to be traded or migrated to other official Pokémon games. Keep in mind that it'll still be an illegal Mew, however.
[*]Moltres has been moved back to Victory Road. This matches with both the original games and current series canon ([I]Origins[/I], [I]Let's Go Pikachu/Eevee[/I]).
	[*]Moltres now has a perch that it stands on.
	[*]A couple of Trainers have been moved to their same locations in Let's Go Pikachu/Eevee in order to make Moltres's chamber more secluded.
[*]If a Pokémon evolves into a non-Kanto Pokémon, its evolution will no longer be blocked before obtaining the National Pokédex.
[*]You can now trade with other FireRed and LeafGreen players who have Eggs and/or non-Kanto Pokémon in their party before obtaining the National Pokédex.
	[*]Trading with Hoenn games is still blocked until after repairing connections at One Island with the Ruby/Sapphire Key Items for story reasons.
[*]The Sevii Islands are no longer accessible until after you beat the game.
	[*]Bill will wait inside the Cinnabar Island Pokémon Center after beating the game. Speak to him to begin the post-game!
[*]Professor Oak will give you the National Dex after you beat the game, no matter how many Pokémon you've caught.
	[*]He'll also mention that Bill is at Cinnabar Island (for people who don't read all patch notes).
[*]All seven of the Sevii Islands now have Johto Pokémon. Common Johto Pokémon that are in neither FireRed nor LeafGreen (sans Altering Cave) can now be found in the first three islands.

Extras:

[*]The field effects of the abilities Magma Armor and Flame Body have been implemented. Eggs will now hatch 50% faster when you have a Pokémon with one of those two abilities in your party. Routine by HackMew.
[*]The game now saves quicker, skipping the "There is already a saved file" text.
[*]The Trade Center and Colosseum now play the Celadon City theme, like in the Gen I games.
[*]The two stray Rocket Grunts that remain in a house in Celadon City even after defeating Giovanni at Rocket HQ now disappear along with the others.
[*]The Cooltrainer class has been renamed Ace Trainer, and the Cool Couple class has been renamed Ace Couple. This matches later generations and better matches the original Japanese name.

General:

[*]The variable that stores your starter choice after beating the Elite Four has been changed to 0x402A. The previous variable used for it, 0x4033, was already used by the game.
	[*]Read the warning above if you haven't. It's really important.
[*]The variable used for selecting a prize at Trainer Tower has been changed to 0x4082. Normally it's used to check if the player has started a Trainer Tower mode. It still works for that.
	[*]The previous variable used for this, 0x4033, was already in use by the game. I don't know what exactly it did, but it might have caused some problems.
[*]The Event Giveaway save file has been removed. If you want to trade an event Pokémon to your game, check out the link below:
	https://projectpokemon.org/home/files/file/3277-pokemon-generation-iii-event-compilation-savefiles/
[*]The "Extras+Wardrobe" compatibility patch has been tweaked to work regardless of which of those two patches is applied first.
[*]A wild locations change text file has been added, the ReadMe file has been simplified, and the Event Guide has been updated to include Mew.
[*]Code cleanup and optimization

******************************************************************************************

v190718 (2019 Jul. 18); Very cool. Very cool. Berry cool.

Catch 'em All:

[*]Sun Stones can now be obtained as a rare prize from Selphy for showing her a desired Pokémon. They replace Rare Candies on the prize table. 
	[*]As a result, you can no longer purchase them from the Two Island vendor.
[*]Corrected RNG with finding items from breakable rocks. You'll be slightly less likely to find items now.

Extras:

[*]Implemented pseudo-Berry Master in Cerulean City. He was supposed to give you Berries in the vanilla game based on "news", but never seemed to do anything. All text for the NPC is from the vanilla game, just likely unused.
	[*]He randomly gives one of 10 Berries from #21-#30. Those are Pomeg, Kelpsy, Qualot, Hondew, Grepa, Tamato, Cornn, Magost, Rabuta, and Nomel.
	[*]There's a 10% chance that he'll give four of a Berry instead of just one.
	[*]He uses the same clock as Daisy does for grooming, so you can only use one of the two every 512 steps.
[*]Berries that have EV-reducing functions in later games (Pomeg, Kelpsy, Qualot, Hondew, Grepa, and Tamato) have them implemented. Thanks to Spherical Ice for the ASM routine (with fixes from tkim). All related text is based on the later games.
	[*]Also appled the Pomeg glitch fix.
[*]EVs for a given stat are now capped at 252 instead of 255.
[*]Berries found in the Berry Forest have been updated. Berries that you can get through Pickup have been removed, replaced with rare or otherwise unobtainable Berries.
	[*]Added: Sitrus, Leppa, Figy, Wiki, Mago, Aguav, Iapapa
	[*]Removed: Oran, Persim, Cheri, Chesto, Pecha, Rawst, Aspear
[*]Selphy now rewards stat-increasing Berries for showing her a desired Pokémon instead of valuable items. Like the vanilla game, they're less likely than receiving a Luxury Ball.
	[*]Non-Luxury Ball prizes are now Liechi, Ganlon, Salac, Petaya, and Apicot Berries, as well as Rare Candies (the only other unchanged prize unless you're also using the Catch 'em All portion of the patch)
[*]Lostelle now gives you an Enigma Berry for saving her instead of an Iapapa Berry.
[*]Eggs no longer count towards the number of healed Pokémon at a Pokémon Center.
[*]The Celadon Mansion has been renamed the Celadon Condominiums. The term "mansion" was misused in the localizations for the games before being corrected in Gen IV.
[*]Modified tile graphic in tilesets for Cape Brink and Four Island to fit better.

Lansat and Starf Berries are still unobtainable. They're only obtainable through Battle currency and Battle victories in the canon games.

******************************************************************************************

v190704 (2019 Jul. 04); Freedom isn't free, but Throwback updates are.

General:

[*]All individual patches are now up-to-date.
[*]Code cleanup and optimization.

GB Sounds:

[*]The GB Sounds routine has been reworked to act properly as a Key Item. Thanks to diegoisawesome for the new routine, and tkim for his edits to it.
	[*]Using the GB Sounds from the bag will keep you in the bag.
	[*]You can no longer exit the GB Sounds usage dialogue by pressing a directional button.
	[*]Using the GB Sounds while Surfing or on a Bicycle will have the proper Surfing/Bicycle music play.
[*]Fixed Victory fanfare not restarting after beating the champion if one of your Pokémon evolve afterwards.

Catch 'em All:

[*]Fossil Pokémon you revive are now at Level 30.
[*]The proper options will always display now when you talk to the fossil doctor.
	[*]This includes new options for when you have both Helix and Dome Fossils.
[*]You can now get more than one of each fossil. Keep in mind that you can only keep one of each at a time.
[*]Smashing a rock will give you an item 50% of the times that you don't encounter a Wild Pokémon.
	[*]The item list is based on Gen VI, so you can get infinite Max Revives and Max Ethers.
	[*]Rocks in Cerulean Cave only give items 25% of the time, but that pool includes all Kanto fossils.
[*]Fixed bug where Pokémon would evolve when sending them through Bill's Teleporter if holding an Everstone.
	[*]This was supposed to be fixed last time. I messed up.
	
Extras:
	
[*]The extra delay in restarting map music after finding a hidden item with the Itemfinder has been removed.
[*]Fixed bug with checking whether Bill's sprite should be hidden at his cottage if he's at Cinnabar Island.
	[*]This was also supposed to be fixed last time. Like I said, rushed!
[*]Fixed bug where running out of Repels would cause gibberish text to appear.
	[*]I forgot that the vanilla game's text was overwritten in Darthatron's hack.
[*]Fixed bug where viewing the left pair of binoculars on Route 15 after dealing with Articuno wouldn't lock sprites.
[*]Fixed bug where Jigglypuff jumps upwards and crashes the game if you speak to it from the right.

******************************************************************************************

v190620 (2019 Jun. 20); I'm back. Happy Throwback Thursday!

Huge thanks to tkim for originally implementing most of these changes.

Catch 'em All:

[*]Fixed a bug with the RTC routine where evolutions did not occur at the correct times. Espeon and Umbreon now evolve based on Gen VII time-of-day rules. Espeon 6:00 AM to 5:59 PM, Umbreon 6:00 PM to 5:59 AM.
[*]The 2nd fossil has been moved from Rock Tunnel to Cerulean Cave.
[*]Fixed a bug in the Hall of Fame map script where the previous quests did not show up correctly.
[*]If your Pokémon is holding an Everstone when you send it through Bill's Teleporter, it will no longer evolve.
[*]Fixed an issue where Mr. Nido had incorrect contest stats.

Wardrobe:

[*]Fixed an issue where the rival's overworld sprite icon in the nicknaming entry did not reflect his actual overworld sprite. This applies to the Extras patch, too.

Extras:

[*]Fixed a bug where declining to use another Repel did not unfreeze NPCs within the map.
[*]Fixed a script looping bug involving the Move Tutor at Cape Brink.
[*]Players will now face Nerd Miguel at Mt. Moon when spotted by him.
[*]Players will now face other NPCs when participating in battles at the Trainer Tower.
[*]Adjusted rival's movement if the player chose Bulbasaur as their starter and was standing elsewhere.
[*]Articuno will no longer be visible through the binoculars on Route 15 if it is caught or defeated.
[*]Bill will now be absent from his cottage if he is waiting for the player inside the Pokemon Center at Cinnabar Island.
[*]Moves that never miss will now correctly display their accuracy as "-".
[*]Fixed a small graphical layer issue on Route 14 when the player is riding a Bicycle near a tree.
[*]Fixed an error where the Vermilion Gym Guide mentioned "Bird"-type instead of the "Flying"-type.

Decapitalization:

[*]Decapitalized a letter in "MR. Nido".
[*]Decapitalized "TRAINER TOWER owner" at Trainer Tower and "DOME FOSSIL" and "HELIX FOSSIL" at Cerulean Cave.
[*]Fixed an issue where Bulbasaur's icon became a wrong color.

******************************************************************************************

v170709 (2017 Jul. 09); Audio fix at last.

GB Sounds:

[*]Fixed longstanding issue where 8-bit version of the tune "Victory! (Gym Leader Battle)" resets after exiting battle with the Pokémon Champion. Thanks to tkim for the fix.

******************************************************************************************

v170328 (2017 Mar. 28); Light adjustments.

Catch 'em All:

[*]Reverted change to Celadon City wild Pokémon. Koffing is once again found via Surfing as opposed to Grimer.

Wardrobe:

[*]Fixed game crashing on map screen with custom player icons.

******************************************************************************************

v161216 (2016 Dec. 16); Emergency patch: Town Map fatal error.

Wardrobe:

[*]Reverted player icons on Town Map to their vanilla sprites. The game would crash on real hardware and emulators using BIOS files using the custom sprites.

******************************************************************************************

v161215 (2016 Dec. 15); Tone-Deaf.

Extras:

[*]Changed fanfare that plays when receiving items from some NPCs. The "getitem2" (XSE syntax) command doesn't work with all fanfares, so previously no sound would play on tracks that used those unsupported fanfares. Changing the supported fanfares would require rewriting the function altogether to support more sounds.

Other Changes:

[*]Added ReadMe file to main download that helps explain how to patch the game.
[*]Added main document file that largely clones the OP for the hack.
[*]Fixed bug that prevented you from getting the 3rd starter when finishing "Mixed" mode at Trainer Tower. This also applies to people who patched the Extras patch after applying the Catch 'em All patch.

******************************************************************************************

v161129 (2016 Nov. 29); Accidental case of pink eye.

Decapitalization:

[*]Fixed error that caused a pixel in Pinsir's sprite to become pink.

******************************************************************************************

v161121 (2016 Nov. 21); Fixes, Pewter dreams.

Catch 'em All:

[*]Fixed second fossil not being recognized by Cinnabar fossil doctor. I've updated the compatibility patch to accommodate for this. (Re)apply it if you've already gotten the second fossil.

Extras:

[*]The Jigglypuff in Pewter City's Pokémon Center spins just like it did in the Gen. I games.
[*]The space shuttle in the Pewter Museum of Science is once again identified as the Columbia. This was censored in FireRed/LeafGreen due to the shuttle's re-entry disaster on February 1, 2003.
[*]Fixed being able to give Pokémon TMs to hold through the Pokémon menu.
[*]Reinstated "In Bag" quantity that's shown when buying items from a shop.
[*]The TM15 received as a prize at the Celadon Prize Exchange is now correctly identified as Hyper Beam. Previously it was unchanged from Iron Tail (which is now obtainable in the Seafoam Islands).

******************************************************************************************

v161113 (2016 Nov. 13); Hit the ground running. Also, more bug fixes.

Extras:

[*]You now start the game with the Running Shoes.
	*This changes bytes in the GB Sounds patch. If using both the Extras and GB Sounds patches separately, please reapply both of those patches from the new download.
	*I've also updated the save compatibility patch for people who import saves without the Running Shoes. Read below to see how it's changed.
[*]Fixed collision where the "Start" sign in Pallet Town used to be. I forgot to remove it along with the graphic and script itself.
[*]Gender-based text fully reinstated. Some instances are overrided by scripts, and changing them all would create too many conflicts between patches.

Other Changes:

[*]Fixed graphics corruption on female player sprites during the credits when using the full patch. I've updated the compatibility patch if you choose to patch both the Extras and Wardrobe patches to the same ROM separately.
[*]Fixed wrong pixels on rival's OW sprites when using the full patch. I've updated the compatibility patch if you choose to patch both the Extras and Wardrobe patches to the same ROM separately.
[*]Save compatibility patch now in separate download. It also works differently now. Speak to the receptionist to the far left on the second floor of any Pokémon Center if you need your fixes.

******************************************************************************************

v161105 (2016 Nov. 05); Bug fix patch within a day of release? You don't say?

GB Sounds:

[*]Fixed NES from acting like the GB Sounds item.

Other Changes:

[*]Fixed graphics corruption on male player sprite during the intro when using the full patch. I've also included a compatibility patch if you choose to patch both the Extras and Wardrobe patches to the same ROM separately.

******************************************************************************************

v161104 (2016 Nov. 04); Over a year in the making!

GB Sounds (formerly GB Player):

Please note that save states with the GB Player on from previous versions of the hack will be rendered incompatible.

[*]You now start the game with the GB Sounds item (renamed from GB Player). You no longer need to take the item from your desk. I wanted to make it more like an option than an item, hence the change.
[*]Stereo separation of tracks updated to be sensible. Generally, "main" sounds and percussion instruments are centered, accompaniment is on left, and bass is on right. There's no panning in battle tracks or fanfares. It's still not the most ideal setup, but that would require complete analyses on each song's creation, inspiration, and flow. I'm not Junichi Masuda, so... yeah.
[*]The "Pokémon Healed" and "Evolution" start fanfares now use pitch bending for square wave 1 to resemble their 1st Gen counterparts, as opposed to carried-over 3rd Gen notes and DirectSound playback, respectively.
[*]The "Game Freak Logo" sound is also now played with a pitch-bent square wave 1. If it doesn't sound familiar, that's because it's the logo sound from the original Japanese Red/Green. It's literally impossible to replicate the international R/B/Y version without DirectSound due to duty shifting.
[*]New songs added. If you'd like to listen to them in Sappy, set songtable="0x71A2D0" in sappy.xml before loading the patched ROM:
	*The music for Pikachu's Beach plays for "Pokémon Jump" and "Dodrio Berry Picking", the wireless adapter games on Two Island.
	*The Game Boy Printer music plays for "Mystery Gift".
	*The opening of the Jessie & James theme plays for the "Too Bad..." fanfare (i.e. when you fail at the Dodrio Berry Picking game).
	*The fanfare "Move Deleted" has been replaced with the Gen I sound effect for the move Amnesia.
	*The "Teachy TV Menu" music now has an 8-bit version. It's now one of only three 8-bit tunes to not be from an 8-bit Pokémon game (besides the full "Ending Theme" and... see below).
	*The Chansey Dance song has been replaced with... something. I ain't sayin' what. Listen to it in Sappy for full enjoyment.
[*]Various "demixes" and alterations removed and replaced to better represent what would actually play in R/G/B/Y in specific instances:
	*Fanfares borrowed from Gen II have been replaced with the fanfares that play in those instances in the original games.
	*Songs that are "unique" solely due to alternate pitches have been removed and reverted to the standard pitches.
	*Both Hoenn link battle music tracks (R/S/E's Trainer and Gym Battle tracks) have been replaced by the standard Trainer Battle music.
	*The small and big win fanfares at the Game Corner are now the Pokémon Obtained and Evolved fanfares, respectively.
	*The Evolution tune has been shortened back to its Gen I length.
	*The Ending Theme has been tweaked again to sound better in general and lift even less from the FR/LG version.
[*]Fixed various wrong notes in songs. All note values should be correct now.
[*]Note attacks corrected and pitch perfect instruments finalized. They should all now be fully accurate.
[*]Properly implemented noise tracks with "dual" noises and adjusted the rest. Turns out I was wrong in thinking they played at the exact same time.
[*]All tempos and modulation delays adjusted to be as close as possible to to their original versions (within reason).
[*]Modulation depth and speed tweaked to be more accurate/pleasing. AGB discrepancies, Sappy inaccuracies, unclear patterns, and potential emulation inaccuracies prevent me from fully fixing these.

Catch 'em All:

You'll be able to get an event Pokémon of a specific species from its respective new custom event even if you completed the previously existing custom event for that Pokémon in a previous version of the hack.

[*]Trade-evolved Pokémon can now evolve by putting them into the Teleporter in Bill's Cottage. If they require a specific item to evolve, they must be holding that item. Likewise, catchable locations for them have been removed.
[*]Separate 3rd Kanto starter event removed. You now receive the unchosen Kanto starter instead of an Eevee when you beat Mixed mode at Trainer Tower.
[*]Fossil event changed completely. You now find the unchosen Fossil under a rock in Rock Tunnel using Rock Smash. Fuchsia City returns to how it is in the vanilla game.
[*]All three legendary beasts now roam in a single game, but still only one at a time. Beat the Elite Four and Pokémon Champion again to send out the next one. As a result, the stationary events with them have been removed.
[*]All version-dependent wild locations redone to adhere to new philosophy: fit to habitat, keep canon game locations if possible, refer to Origins if needed, ignore anime and manga.
[*]Wild Johto Pokémon not in vanilla FireRed/LeafGreen redistributed sensibly.
[*]Wild Johto Pokémon that were supposed to appear in Altering Cave are now the only Pokémon in that location. They appear at the same levels they would have if they were made available.
[*]Faraway Island removed. Check the "Event Givewaway" bullet point in the "Other Changes" section on getting Mew.
[*]The Two Island vendor now sells Sun Stones after beating the game and saving Lostelle. They replace the Great Ball before finishing the Ruby/Sapphire quest, and the Ultra Ball afterwards.
[*]Game Corner Pokémon prizes standardized to be version-agnostic, using lower Coin-costing versions when possible. Japanese Blue alternatives are used when differences are inconsolable.
[*]In-game trades standardized to be version-agnostic. Version-dependent trades default to Japanese Red/Green setups.
[*]Title screen simplified. It's now the same as the vanilla FireRed screen, sans "FireRed Version" graphic.
[*]Default player names set to the canon(-ish) names. The player character might be called RED or LEAF if no name is entered, among other things. The rival's first name choice is GREEN.
[*]Rival's text upon giving you his hatched starter modified. He also says something interesting if you don't have any room for Pokémon in your party or boxes.
[*]Fixed map palettes resetting every 10 real-life minutes (or one in-game minute). All I did was comment out the palette-updating portion of the routine.
[*]Fixed song fading and player control at the end of the rival starter event.
[*]Custom text for the old woman on Seven Island made more in-character.

Wardrobe:

[*]All retro sprites redone to better reflect the original final artwork:
	*Shoes for each character now use the colors from the concept art. Note that there are no strap shoes or stilletos due to the Running Shoes mandating a standard style.
	*Badge patches removed from the player character's hat; they're a Red/Green development stage carryover, not part of the final look.
	*Wristbands removed. They're not a part of the Gen I look.
	*General aesthetic improvements to look less sloppy and more professionally done.
[*]Flying sprites changed; previously they were unchanged from the default FR/LG sprites.
[*]Changed water reflection palette to reflect the palette used for the wardrobe changes.
[*]General improvements done to Red:
	*The front of his hat has been redone with more consideration of perspective.
	*His shirt is tucked in and he now has a belt.
	*His vest is lengthened and opened up, with the pockets made a more realistic size.
	*Added missing pocket to the vest in the battle backsprites.
[*]Further updated Leaf to better reflect the concept art:
	*She now wears white gloves.
	*Her socks have been shortened, but they're still there due to shoe reasons.
	*Her overworld sprites now look more coherent.
	*Her dress is slightly cut on the sides; this is only noticeable in the credits.
	
Extras:

[*]New graphical fixes:
	*Fix wrong colors in overworld sprites for the Camper and Picnicker Trainer classes.
	*Fixed inconsistencies with Green's overworld sprites.
	*Fixed inconsistencies with Leaf's overworld sprites.
	*Fixed exaggerated rear shoe shading for Leaf in the credits.
[*]Redone placements for held items. If you've already collected the items that were there previously before the update, feel free to cheat them into your game with a save editor:
	*Scope Lens: Given to you by Lostelle's father after rescuing Lostelle and giving him the Meteorite; replaces Moon Stone
	*White Herb: Hidden on Rock Tunnel cave wall on Route 10 behind tree that must be cut; replaces Super Potion
	*Mental Herb: Above the highest body of water; replaces Full Heal
	*Bright Powder: Hidden in front of the generator next to Zapdos at the Power Plant; replaces Thunder Stone
[*]Redone placements for flutes. The Blue Flute has been added, as well:
	*Black Flute: B1F of Seafoam Islands, in a southern section only accessible via a ladder from B2F; replaces Water Stone
	*Blue Flute: At Five Isle Meadow in an alcove past a tree that must be cut; replaces Max Potion
	*Red Flute: On Two Island, behind a tree that must be cut; replaces Revive
	*Yellow Flute: Rocket Game Corner item prize; part of the vanilla game
	*White Flute: On small island the player can Surf to in the Safari Zone's Center Area; replaces Nugget
[*]Redone placements for Gen III Poké Balls. Nest Balls and Dive Balls are now purchasable. Premeir Balls aren't available; in series canon, they're gotten by purchasing 10 or more Poké Balls at once:
	*Seven Island Poké Mart: Luxury Ball; replaces Great Ball
	*Trainer Tower Vendor: Nest Ball, Net Ball, and Dive Ball; replace Ultra Ball, Great Ball, and Escape Rope, respectively
[*]Redone placements for mail types. Various Poké Marts across the game sell them, now one apiece. All types that don't display a Hoenn Pokémon are purchasable:
	*Bead Mail: Pewter City Poké Mart; replaces Burn Heal
	*Glitter Mail: Vermilion City Poké Mart; replaces Ice Heal
	*Mech Mail: Lavender Town Poké Mart; replaces Ice Heal
	*Fab Mail: Indigo Plateau Vendor; replaces Great Ball
	*Tropic Mail: Seven Island Poké Mart; replaces Max Potion
[*]Updated table of items held by wild Pokémon. Check the included document for details. Also, wild Pikachu may now hold a Light Ball. Squirtle players beware.
[*]Added colored Nature stat change routines by Spherical Ice.
[*]Disabled poison damage on the overworld, similar to how the modern games behave. Text strings made inaccurate by this have also been changed.
[*]Pared down renovations to Mt. Moon. Its new look is closer to what caves in recent games look like.
[*]Set proper item fanfare for many items previously left unchanged. I believe I've got every instance in the game now.
[*]Added game engine optimization by DizzyEggg.
[*]Removed gender-based text color.
[*]The player will now black out instead of white out.
[*]Default text speed set to "Fast".
[*]The ultimate attack Move Tutor has been slightly retooled to use all possible text strings made for her.
[*]Reused pre-existing text for the Old Man tutorial capture to save space.

Other Changes:

[*]"Celebi Giveaway" replaced with "Event Giveaway" save file. Trade with this save to obtain (hopefully) tournament-legal versions of Mew, Celebi, Surfing Pikachu, and more! Patch removed due to it being no longer necessary.
[*]Decapitalized the various Pocket names to update decapitalization standards to those of Pokémon Sun and Moon.
[*]Higher Quality Cries patch rebuilt:
	*Volumes of each cry increased by the same ratio as opposed to all being maxed out. Pokémon that are meant to have quieter cries than others now have quieter cries.
	*Truncated parts of cries restored. Differences are very minor.
	*Sample size changed to the game's playback rate of 13379Hz. This is to free up otherwise wasted space. Quality is the same, sometimes even better.
[*]New decapitalization patches included for each separate part of the hack. Now you can have proper decapitalization in Throwback regardless of which combination of primary patches you use!

Also, general code cleanup, organization, and optimization in every single part of the hack.